-- Usuari administrador ambd password 'admin'
INSERT INTO USERS(ID, USERNAME, PASS, ALIAS, STAT, ROLE) VALUES ('-1','admin@davidgame.cat','$2a$10$OjtFLxac4AvQpEGOCAJYLuJVZQESgUoRJcwR.Q/uq7pUVXGWB91mC','The Boss', 1, 'ROLE_ADMIN');

-- Usuari de prova (password  és 'david')
INSERT INTO USERS(ID, USERNAME, PASS, ALIAS, STAT, ROLE) VALUES ('0','david@davidgame.cat','$2a$10$ZV0KQH7pi/WWFm75iAzJiOWVDcxLIjGJysSIzIYassZXu3vaQ2GhS','Test User David', 1, 'ROLE_USER');

-- Usuari de prova (password  és 'david')
INSERT INTO USERS(ID, USERNAME, PASS, ALIAS, STAT, ROLE) VALUES ('1','jaume@davidgame.cat','$2a$10$ZV0KQH7pi/WWFm75iAzJiOWVDcxLIjGJysSIzIYassZXu3vaQ2GhS','Test User Jaume', 1, 'ROLE_USER');

INSERT INTO ROLE_TYPES(ID, ROLE_NAME, ATTACK_SUCCES, COUNTER_SUCCES, CAST_HEAL_SUCCES, INTERRUPT_SUCCES, SALUT, ARMADURA, MAL, HEAL) VALUES (
'0',
'Rogue',
80,
99,
50,
70,
350,
30,
80,
2
);

INSERT INTO ROLE_TYPES(ID, ROLE_NAME, ATTACK_SUCCES, COUNTER_SUCCES, CAST_HEAL_SUCCES, INTERRUPT_SUCCES, SALUT, ARMADURA, MAL, HEAL) VALUES (
'1',
'Paladin',
80,
80,
80,
10,
420,
40,
60,
80
);

INSERT INTO ROLE_TYPES(ID, ROLE_NAME, ATTACK_SUCCES, COUNTER_SUCCES, CAST_HEAL_SUCCES, INTERRUPT_SUCCES, SALUT, ARMADURA, MAL, HEAL) VALUES (
'2',
'No Char',
60,
5,
80,
10,
420,
40,
60,
8
);

INSERT INTO CHARACTERS(ID, ID_USER, ID_CHAR_TYPE, NOM, SALUT, ARMADURA, MAL, HEAL) VALUES (
'0',
'0',
0,
'David',
350,
30,
80,
20
);

INSERT INTO CHARACTERS(ID, ID_USER, ID_CHAR_TYPE, NOM, SALUT, ARMADURA, MAL, HEAL) VALUES (
'1',
'1',
1,
'Jaume',
420,
20,
70,
40
);

INSERT INTO CHARACTERS(ID, ID_USER, ID_CHAR_TYPE, NOM, SALUT, ARMADURA, MAL, HEAL) VALUES (
'2',
'0',
1,
'Sampi',
420,
40,
60,
8
);
